import type React from "react";
import { Select as ShadcnSelect, SelectContent as ShadcnSelectContent, SelectGroup as ShadcnSelectGroup, SelectItem as ShadcnSelectItem, SelectLabel as ShadcnSelectLabel, SelectScrollDownButton as ShadcnSelectScrollDownButton, SelectScrollUpButton as ShadcnSelectScrollUpButton, SelectSeparator as ShadcnSelectSeparator, SelectTrigger as ShadcnSelectTrigger, SelectValue as ShadcnSelectValue } from "src/shadcn/components/select";
declare const Select: (props: React.ComponentProps<typeof ShadcnSelect>) => import("react/jsx-runtime").JSX.Element;
declare const SelectContent: (props: React.ComponentProps<typeof ShadcnSelectContent>) => import("react/jsx-runtime").JSX.Element;
declare const SelectGroup: (props: React.ComponentProps<typeof ShadcnSelectGroup>) => import("react/jsx-runtime").JSX.Element;
declare const SelectItem: ({ className, ...props }: React.ComponentProps<typeof ShadcnSelectItem>) => import("react/jsx-runtime").JSX.Element;
declare const SelectLabel: (props: React.ComponentProps<typeof ShadcnSelectLabel>) => import("react/jsx-runtime").JSX.Element;
declare const SelectScrollDownButton: (props: React.ComponentProps<typeof ShadcnSelectScrollDownButton>) => import("react/jsx-runtime").JSX.Element;
declare const SelectScrollUpButton: (props: React.ComponentProps<typeof ShadcnSelectScrollUpButton>) => import("react/jsx-runtime").JSX.Element;
declare const SelectSeparator: (props: React.ComponentProps<typeof ShadcnSelectSeparator>) => import("react/jsx-runtime").JSX.Element;
declare const SelectTrigger: ({ className, ...props }: React.ComponentProps<typeof ShadcnSelectTrigger>) => import("react/jsx-runtime").JSX.Element;
declare const SelectValue: (props: React.ComponentProps<typeof ShadcnSelectValue>) => import("react/jsx-runtime").JSX.Element;
export { Select, SelectContent, SelectGroup, SelectItem, SelectLabel, SelectScrollDownButton, SelectScrollUpButton, SelectSeparator, SelectTrigger, SelectValue, };
